package com.nasc.custom.domain;

import javax.validation.constraints.NotBlank;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:03
 * @Description: 材料内容清单列表表
 * @return:
 */
public class NascMaterialList {

    /** 材料表主键ID */
    private Long id;

    /** 材料清单主表ID */
    private Long materialId;

    /** 材料清单名称 */
    private String listName;

    /** 材料清单说明 **/
    private String memo;

    /** 是否需要人工核验 1 是 0 否 **/
    private Integer verification;

    /** 材料图片 **/
    private String imgs;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }

    @NotBlank(message = "材料清单名称不能为空")
    public String getListName() {
        return listName;
    }

    public void setListName(String listName) {
        this.listName = listName;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getVerification() {
        return verification;
    }

    public void setVerification(Integer verification) {
        this.verification = verification;
    }

    public String getImgs() {
        return imgs;
    }

    public void setImgs(String imgs) {
        this.imgs = imgs;
    }
}
